orte/mca/gpr/proxy/gpr_proxy_dump.c File Reference.TH "orte/mca/gpr/proxy/gpr_proxy_dump.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/proxy/gpr_proxy_dump.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <stdarg.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/oob/oob_types.h'\fP
.br
\fC#include 'mca/rml/rml.h'\fP
.br
\fC#include 'gpr_proxy.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_all\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_segments\fP (char *segment, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_triggers\fP (orte_gpr_trigger_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_subscriptions\fP (orte_gpr_subscription_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_a_trigger\fP (char *name, orte_gpr_trigger_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_a_subscription\fP (char *name, orte_gpr_subscription_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_callbacks\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_notify_msg\fP (orte_gpr_notify_message_t *msg, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_notify_data\fP (\fBorte_gpr_notify_data_t\fP *data, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_dump_value\fP (\fBorte_gpr_value_t\fP *value, int output_id)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
